import { defineComponent as s, ref as n, createBlock as t, openBlock as u, mergeProps as a } from "vue";
import p from "../../components/common-date-picker/index.vue.mjs";
const i = s({ name: "shj-date-picker-range" }), d = /* @__PURE__ */ s({
  ...i,
  props: {
    basicOption: {},
    sources: {},
    useEvents: {},
    uuid: {}
  },
  setup(f, { expose: o }) {
    const r = n();
    return o({
      refresh: () => {
        var e;
        return (e = r.value) == null ? void 0 : e.refresh();
      },
      refreshView: () => {
        var e;
        return (e = r.value) == null ? void 0 : e.refreshView();
      },
      refreshData: () => {
        var e;
        return (e = r.value) == null ? void 0 : e.refreshData();
      }
    }), (e, c) => (u(), t(p, a({
      ref_key: "componentRef",
      ref: r,
      option: e.basicOption,
      sources: e.sources,
      "use-events": e.useEvents,
      uuid: e.uuid
    }, e.$attrs), null, 16, ["option", "sources", "use-events", "uuid"]));
  }
});
export {
  d as default
};
